Topic
  • 8 replies
  • Latest Post - ‏2012-11-02T18:54:00Z by ndarkduck
Xaviou
Xaviou
1 Post

Pinned topic ISA Start up exception

‏2010-11-22T16:14:52Z |
Hi all,

I successfully managed to install and run support-assistant-4.1.0.00-20090505_1211.i386.rpm on my Kubuntu 32 bits desktop, but when I run it for the first time on a CentOS 64 bits server, I have the following exception and no Eclipse running:

root # support-assistant
2010/11/22 17:17:41.318 CONFIG eclipse.buildId=20090330-1321
java.fullversion=J2RE 1.6.0 IBM J9 2.4 Linux x86-32 jvmxi3260ifx-20081002_23977 (JIT enabled, AOT enabled)
J9VM - 20081002_023977_lHdSMr
JIT - r9_20080415_1520ifx7
GC - 20080415_AA
BootLoader constants: OS=linux, ARCH=x86, WS=gtk, NL=fr_FR
Framework arguments: -application com.ibm.rcp.lapinvoker.LapInvokerApplication -initialCompleteFlag config.initial.complete -plugincustomization /opt/ibm/IBMSupportAssistant_41/rcp/plugin_customization.ini
Command-line arguments: -os linux -ws gtk -arch x86 -application com.ibm.rcp.lapinvoker.LapInvokerApplication -initialCompleteFlag config.initial.complete -data /root/ibm/isa41 -plugincustomization /opt/ibm/IBMSupportAssistant_41/rcp/plugin_customization.ini ::class.method=com.ibm.rcp.core.internal.logger.frameworkhook.writeSession() ::thread=Start Level Event Dispatcher ::loggername=com.ibm.rcp.core.internal.logger.frameworkhook
2010/11/22 17:17:41.445 SEVERE Erreur liée à l'application ::class.method=unknown ::thread=main ::loggername=org.eclipse.osgi

java.lang.RuntimeException: L'application "com.ibm.rcp.lapinvoker.LapInvokerApplication" est introuvable dans le registre. Les applications disponibles sont org.eclipse.equinox.app.error, org.eclipse.update.core.siteOptimizer, com.ibm.rcp.provisioning.application.ProvisioningApplication, org.eclipse.ant.core.antRunner.
at org.eclipse.equinox.internal.app.EclipseAppContainer.startDefaultApp(Unknown Source)
at org.eclipse.equinox.internal.app.MainApplicationLauncher.run(Unknown Source)
at org.eclipse.core.runtime.internal.adaptor.EclipseAppLauncher.runApplication(Unknown Source)
at org.eclipse.core.runtime.internal.adaptor.EclipseAppLauncher.start(Unknown Source)
at org.eclipse.core.runtime.adaptor.EclipseStarter.run(Unknown Source)
at org.eclipse.core.runtime.adaptor.EclipseStarter.run(Unknown Source)
at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)
at sun.reflect.NativeMethodAccessorImpl.invoke(Unknown Source)
at sun.reflect.DelegatingMethodAccessorImpl.invoke(Unknown Source)
at java.lang.reflect.Method.invoke(Unknown Source)
at org.eclipse.equinox.launcher.Main.invokeFramework(Unknown Source)
at org.eclipse.equinox.launcher.Main.basicRun(Unknown Source)
at org.eclipse.equinox.launcher.Main.run(Unknown Source)
at com.ibm.rcp.core.internal.launcher.Main.startLaunch(Unknown Source)
at com.ibm.rcp.core.internal.launcher.Main.main(Unknown Source)
at com.ibm.rcp.core.internal.launcher.Main.run(Unknown Source)
2010/11/22 17:17:41.514 WARNING Un ou plusieurs regroupements ne sont pas résolus car les contraintes principales suivantes ne le sont pas : ::class.method=unknown ::thread=main ::loggername=org.eclipse.osgi
2010/11/22 17:17:41.515 WARNING Le regroupement update@plugins/com.ibm.pvc.webcontainer_6.2.0.20090330-1321/ n'a pas été résolu. ::class.method=unknown ::thread=main ::loggername=org.eclipse.osgi
2010/11/22 17:17:41.515 WARNING Le regroupement requis org.osgi.service.webapplication_0.0.0 est manquant. ::class.method=unknown ::thread=main ::loggername=com.ibm.pvc.webcontainer
http://...WARNINGS...
2010/11/22 17:17:41.618 WARNING Le regroupement update@plugins/com.ibm.rcp.portal.app.ui.nl_6.2.0.20090330-1321.jar 182 n'a pas été résolu. ::class.method=unknown ::thread=main ::loggername=org.eclipse.osgi
2010/11/22 17:17:41.618 WARNING Hôte com.ibm.rcp.portal.app.ui_0.0.0 manquant. ::class.method=unknown ::thread=main ::loggername=com.ibm.rcp.portal.app.ui.nl

Does anybody know how to fix it?

Thanks,
Xavier
Updated on 2012-11-02T18:54:00Z at 2012-11-02T18:54:00Z by ndarkduck
  • meli
    meli
    53 Posts

    Re: ISA Start up exception

    ‏2010-12-20T15:07:16Z  
    Xavier,

    Unfortunately, this is an unsupported configuration. Lap is a License Acceptance Tool, which seems to be failing for you.

    Henri
  • SystemAdmin
    SystemAdmin
    642 Posts

    Re: ISA Start up exception

    ‏2011-02-10T13:50:53Z  
    • meli
    • ‏2010-12-20T15:07:16Z
    Xavier,

    Unfortunately, this is an unsupported configuration. Lap is a License Acceptance Tool, which seems to be failing for you.

    Henri
    Which means that ISA cannot be used on a Linux x64 or is there a solution to get it running on a x64?
  • meli
    meli
    53 Posts

    Re: ISA Start up exception

    ‏2011-03-10T16:55:43Z  
    Which means that ISA cannot be used on a Linux x64 or is there a solution to get it running on a x64?
    Here is the supported list of platforms for ISA:
    http://www-01.ibm.com/software/support/isa/isa40/install.html

    Henri Meli
    IBM Support Assistant Team
  • Gianluca_gamba
    Gianluca_gamba
    1 Post

    Re: ISA Start up exception

    ‏2012-05-17T14:34:13Z  
    does anyone solved it ?

    My SO is fedora 16 64bit and I get the same error lunxhing the tool..

    I've installed all gnome-libs... also in 32 bit mode...
  • RickyHolcomb
    RickyHolcomb
    311 Posts

    Re: ISA Start up exception

    ‏2012-05-22T20:08:43Z  
    does anyone solved it ?

    My SO is fedora 16 64bit and I get the same error lunxhing the tool..

    I've installed all gnome-libs... also in 32 bit mode...
    Hello Gianluca,

    I am sorry but fedora is not a supported platform for IBM Support Assistant V4. Here is the link to the currently supported platforms: http://www-01.ibm.com/software/support/isa/isa40/install.html
    Thanks,
    Ricky Holcomb
  • abhi131
    abhi131
    1 Post

    Re: ISA Start up exception

    ‏2012-07-10T20:12:04Z  
    Hello Gianluca,

    I am sorry but fedora is not a supported platform for IBM Support Assistant V4. Here is the link to the currently supported platforms: http://www-01.ibm.com/software/support/isa/isa40/install.html
    Thanks,
    Ricky Holcomb
    I am running CentOS 6.2 64-bit and getting the same issue. It's based on RHEL 6.
    Since RHEL 5 upd 6 is a supported platform, is there a way to get this working on CentOS 6.2?
  • RickyHolcomb
    RickyHolcomb
    311 Posts

    Re: ISA Start up exception

    ‏2012-07-13T18:11:11Z  
    • abhi131
    • ‏2012-07-10T20:12:04Z
    I am running CentOS 6.2 64-bit and getting the same issue. It's based on RHEL 6.
    Since RHEL 5 upd 6 is a supported platform, is there a way to get this working on CentOS 6.2?
    Hello Abhiranjan,

    Unfortunately I am sorry but CentOS is also not a supported platform for IBM Support Assistant V4. Here is the link to the currently supported platforms: http://www-01.ibm.com/software/support/isa/isa40/install.html

    Most likely there are one or more packages that are not included in CentOS, that are required for the License Acceptance Tool to run.
    Thanks,
    Ricky Holcomb
  • ndarkduck
    ndarkduck
    3 Posts

    Re: ISA Start up exception

    ‏2012-11-02T18:54:00Z  
    yes yes, this os is unsupported but there is a workarround with this, this is why community ask in forums and doesn't open PRM tickets, I spent a lot of time to make this work:

    Please be my guest:
    cat /opt/ibm/IBMSupportAssistant_41/rcp/rcplauncher.properties
    #Tue Nov 29 09:44:32 GMT-06:00 2011
    product=com.ibm.esupport.platform.branding.isaproduct
    rcp.data=${env.HOME}/ibm/isa41
    jvm.parent.feature.version=2.1.6.0-200903301321
    jvm.feature.version=1.6.0.20081022-200903301321
    rcp.install.id=1322581467
    jvm.feature.id=com.ibm.rcp.j2se.linux.x86.feature
    provisioning.manifest=file\:/${rcp.home}/rcp/deploy/install.xml
    eclipse.name=eclipse
    provisioning.manifest.version=1322581472121
    jvm.location=${rcp.home}/rcp/eclipse/plugins/com.ibm.rcp.j2se.linux.x86_1.6.0.20081022-200903301321/jre/bin/classic/libjvm.so
    jvm.parent.feature.id=com.ibm.rcp.jvm.feature
    osgi.splashPath=platform\:/base/../../shared/eclipse/plugins/com.ibm.esupport.platform.branding,platform\:/base/../../shared/eclipse/plugins/com.ibm.esupport.platform.branding.nl
    provisioning.application=com.ibm.rcp.provisioning.application.ProvisioningApplication
    provisioning=true
    com.ibm.rcp.core.locale=
    rcp.base.location=${rcp.home}/rcp/eclipse/plugins/com.ibm.rcp.base_6.2.0.20090330-1321
    install.configuration=multiuser
    update.policy.managed=true
    config.initial.1=-application
    config.initial.2=com.ibm.rcp.lapinvoker.LapInvokerApplication
    config.initial.3=-initialCompleteFlag
    config.initial.4=config.initial.complete
    I don't know if any of this libraries are neccessary but during my desesperate try i also installed a lot of packages:
    1009 yum install libgnomeprintui22-devel.i686
    1016 yum install libgnome.i686 -u
    1017 yum install libgnome.i686 -y
    1038 yum install gnome-libs.i686
    1040 yum install gtkhtml2.i686 libXtst.i686
    1064 yum install gtkhtml3 -y
    1065* yum install gtkhtml2 -y
    1067 yum install sgpio
    1068 yum install sgpio | grep ">"
    1072 yum install gnutls.i686 libXext.i68 libXi.i686 libxml2.i686 libXpm.i686 libxslt.i686 libXtst.i686 slv2.i686 yajl.i686 zlib.i686
    1074 yum install compat-libstdc++-296.i686 compat-libstdc++-33.x86_64 libXtst.i686 gtk2.i686
    1077 yum install libxkbfile -y
    1078 yum install libxkbfile-1.0.8-1.fc17.i686 -y

    I hope this post saves a bunch of time for Linux users. I'm currently using the following versions:

    root@gungner rcp# cat /etc/redhat-release
    Fedora release 17 (Beefy Miracle)
    root@gungner rcp# uname -a
    Linux gungner.ndarkduck.webhop.net 3.6.2-4.fc17.x86_64 #1 SMP Wed Oct 17 02:43:21 UTC 2012 x86_64 x86_64 x86_64 GNU/Linux
    root@gungner rcp# ps -ef | grep guest | grep eclipse
    /opt/ibm/IBMSupportAssistant_41/rcp/eclipse/plugins/com.ibm.rcp.base_6.2.0.20090330-1321/linux/x86/eclipse --launcher.suppressErrors -data /home/guest/ibm/isa41 -configuration /home/guest/ibm/isa41/.config -plugincustomization /opt/ibm/IBMSupportAssistant_41/rcp/plugin_customization.ini -product com.ibm.esupport.platform.branding.isaproduct -vm /opt/ibm/IBMSupportAssistant_41/rcp/eclipse/plugins/com.ibm.rcp.j2se.linux.x86_1.6.0.20081022-200903301321/jre/bin/classic/libjvm.so -startup /opt/ibm/IBMSupportAssistant_41/rcp/eclipse/plugins/com.ibm.rcp.base_6.2.0.20090330-1321/launcher.jar -vmargs -Dosgi.framework.extensions=com.ibm.rcp.core.logger.frameworkhook,com.ibm.rds,com.ibm.cds -Xscmx64m -Xshareclasses:name=xpdplat_%g.jvm,controlDir=/home/guest/ibm/isa41/.config/org.eclipse.osgi,groupAccess,keep,singleJVM,nonfatal -Xgcpolicy:gencon -Xjit:noResumableTrapHandler -Xmaxf0.2 -Xmca8k -Xminf0.1 -Xmn7m -Xms48m -Xmx1270m -Xquickstart -Drcp.home=/opt/ibm/IBMSupportAssistant_41 -Drcp.data=/home/guest/ibm/isa41 -Dosgi.splashPath=platform:/base/../../shared/eclipse/plugins/com.ibm.esupport.platform.branding,platform:/base/../../shared/eclipse/plugins/com.ibm.esupport.platform.branding.nl -Dcom.ibm.rcp.install.id=1322581467 -Drcp.install.config=multiuser -Declipse.registry.nulltoken=true -Dosgi.nl.user=true -Dorg.eclipse.swt.browser.XULRunnerPath=/opt/ibm/IBMSupportAssistant_41/rcp/eclipse/plugins/com.ibm.rcp.xulrunner.runtime.linux.x86_6.2.0.20090330-1321/xulrunner -Djava.util.logging.config.class=com.ibm.rcp.core.internal.logger.boot.LoggerConfig -Dorg.eclipse.epp.usagedata.recording.upload-url=http://www.ecurep.ibm.com/app/upload_pd?project=ISA -Dcom.ibm.pvc.webcontainer.port=0 -Djava.security.properties=file:/opt/ibm/IBMSupportAssistant_41/rcp/eclipse/plugins/com.ibm.rcp.base_6.2.0.20090330-1321/rcp.security.properties -Djava.protocol.handler.pkgs=com.ibm.net.ssl.www.protocol -Dosgi.hook.configurators.exclude=org.eclipse.core.runtime.internal.adaptor.EclipseLogHook -Drcp.osgi.install.area=/opt/ibm/IBMSupportAssistant_41/rcp/eclipse -Xbootclasspath/a:/opt/ibm/IBMSupportAssistant_41/rcp/eclipse/plugins/com.ibm.rcp.base_6.2.0.20090330-1321/rcpbootcp.jar
    Best rewards from México!